emulab_nfs_export_dir: /storage/nfs
emulab_nfs_mount_dir: /nfs
emulab_nfs_async: true
emulab_nfs_sync_opt: "{{ 'async' if emulab_nfs_async else 'sync' }}"
emulab_nfs_mount_options: "rw,bg,{{ emulab_nfs_sync_opt }},hard,intr"
emulab_nfs_export_options: "rw,{{ emulab_nfs_sync_opt }},no_root_squash,no_subtree_check,fsid=0"

emulab_nfs_lan: ""

emulab_nfs_server_nodename: "{{ groups['emulab.common.nfsserver'][0] }}"
emulab_nfs_server_ip: "{{ emulab_topomap['nodes'][emulab_nfs_server_nodename]['lans'][emulab_nfs_lan] }}"
emulab_nfs_server_mask: "{{ emulab_topomap['lans'][emulab_nfs_lan]['mask'] }}"

emulab_nfs_server_ipmask: "{{ emulab_nfs_server_ip }}/{{ emulab_nfs_server_mask }}"
emulab_nfs_server_cidr: "{{ emulab_nfs_server_ipmask | ansible.netcommon.ipaddr('host/prefix') }}"
emulab_nfs_network_cidr: "{{ emulab_nfs_server_ipmask | ansible.netcommon.ipaddr('network/prefix') }}"
